# Generated by Django 4.1.3 on 2023-03-28 09:31

import datetime
from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion
import django.utils.timezone
import tickets.models


class Migration(migrations.Migration):

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ("auth", "0012_alter_user_first_name_max_length"),
        ("tickets", "0001_initial"),
    ]

    operations = [
        migrations.AlterModelOptions(
            name="comment",
            options={"verbose_name": "Comment"},
        ),
        migrations.AlterField(
            model_name="attachment",
            name="added_by",
            field=models.ForeignKey(
                on_delete=django.db.models.deletion.CASCADE,
                to=settings.AUTH_USER_MODEL,
                verbose_name="Added by",
            ),
        ),
        migrations.AlterField(
            model_name="attachment",
            name="file",
            field=models.FileField(
                max_length=255,
                upload_to=tickets.models.get_attachment_upload_dir,
                verbose_name="File",
            ),
        ),
        migrations.AlterField(
            model_name="attachment",
            name="task",
            field=models.ForeignKey(
                on_delete=django.db.models.deletion.CASCADE,
                to="tickets.task",
                verbose_name="Task",
            ),
        ),
        migrations.AlterField(
            model_name="attachment",
            name="timestamp",
            field=models.DateTimeField(
                default=datetime.datetime.now, verbose_name="Timestamp"
            ),
        ),
        migrations.AlterField(
            model_name="comment",
            name="author",
            field=models.ForeignKey(
                blank=True,
                null=True,
                on_delete=django.db.models.deletion.CASCADE,
                related_name="tickets_comments",
                to=settings.AUTH_USER_MODEL,
                verbose_name="Author",
            ),
        ),
        migrations.AlterField(
            model_name="comment",
            name="body",
            field=models.TextField(blank=True, verbose_name="Body"),
        ),
        migrations.AlterField(
            model_name="comment",
            name="date",
            field=models.DateTimeField(
                default=django.utils.timezone.now, verbose_name="Date"
            ),
        ),
        migrations.AlterField(
            model_name="comment",
            name="email_from",
            field=models.CharField(
                blank=True, max_length=320, null=True, verbose_name="Eamil from"
            ),
        ),
        migrations.AlterField(
            model_name="comment",
            name="email_message_id",
            field=models.CharField(
                blank=True, max_length=255, null=True, verbose_name="Eamil message id"
            ),
        ),
        migrations.AlterField(
            model_name="comment",
            name="task",
            field=models.ForeignKey(
                on_delete=django.db.models.deletion.CASCADE,
                to="tickets.task",
                verbose_name="Task",
            ),
        ),
        migrations.AlterField(
            model_name="tasklist",
            name="group",
            field=models.ForeignKey(
                on_delete=django.db.models.deletion.CASCADE,
                to="auth.group",
                verbose_name="Group",
            ),
        ),
        migrations.AlterField(
            model_name="tasklist",
            name="name",
            field=models.CharField(max_length=48, verbose_name="Name"),
        ),
        migrations.AlterField(
            model_name="tasklist",
            name="slug",
            field=models.SlugField(default="", verbose_name="Slug"),
        ),
        migrations.AlterField(
            model_name="tickettype",
            name="life_cycle",
            field=models.CharField(
                max_length=192, unique=True, verbose_name="Life cycle"
            ),
        ),
        migrations.AlterField(
            model_name="tickettype",
            name="name",
            field=models.CharField(max_length=32, unique=True, verbose_name="Name"),
        ),
    ]
